/**
 * Send Message js in send-message.html
 *
 * @since 1.0 check web
 */
var SendMessage = {};

SendMessage.baseApiUrl = CONSTANT.URL.CMS.BASE + ClientData.userInfo_accountPath() + CONSTANT.URL.CMS.API.BASE + 'sendPushMessage/';

/**
 * default JSON
 */
 SendMessage.dummyJson = {
    
}

/**
 * handle click event of send button
 */
SendMessage.onClickSend = function() {
    const message = $('#messageContent').val();
    const operationId = 1;
    const sendType = 0;
    SendMessage.postMessage(message, operationId, sendType);
};

/**
 * post message data to cms
 * @param {string} message 
 * @param {long} operationId 
 * @param {int} sendType - 0: Group, 1: All
 */
SendMessage.postMessage = function(message, operationId, sendType) {
    let param = {
        sid: COMMON.getSid(),
        message: message,
        operationId: operationId,
        sendType: sendType
    };
    console.log(param);
    COMMON.cmsAjax(SendMessage.baseApiUrl, param, false, function (json) {
        
    }, function() {
        console.log('SendMessage.postMessage error');
        
    });
};

/**
 * init data, action when screen onload
 */
SendMessage.init = function () {
    TEMPLATE.loadHearder();
};